<?php
namespace nur\b\values;

/**
 * Interface IValueState: état d'une valeur parmi "indéfinie", "nulle" ou
 * "non nulle"
 */
interface IValueState {
  /** @return bool true si cette valeur est indéfinie */
  function isUndef(): bool;

  /**
   * @return bool true si cette valeur est "nulle", c'est-à-dire si cette
   * instance est équivalente à la valeur null
   */
  function isNull(): bool;
}
